# pcap_send_queue Struct Reference

A queue of raw packets that will be sent to the network with pcap_sendqueue_transmit(). More...

`#include <Win32-Extensions.h>`

## Data Fields
u_int | maxlen
| Maximum size of the the queue, in bytes. This variable contains the size of the buffer field.
u_int | len
| Current size of the queue, in bytes.
char * | buffer
| Buffer containing the packets to be sent.

## Detailed Description

A queue of raw packets that will be sent to the network with pcap_sendqueue_transmit().

Definition at line 46 of file Win32-Extensions.h.

## Field Documentation

char* buffer

Buffer containing the packets to be sent.

Definition at line 50 of file Win32-Extensions.h.

u_int len

Current size of the queue, in bytes.

Definition at line 49 of file Win32-Extensions.h.

u_int maxlen

Maximum size of the the queue, in bytes. This variable contains the size of the buffer field.

Definition at line 48 of file Win32-Extensions.h.

The documentation for this struct was generated from the following file:

- Win32-Extensions.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.